Bug 847062 - Pre-Invocation flag PUT_FOR_EXTERNAL_READ throws exception
Pre-Invocation flag PUT_FOR_EXTERNAL_READ throws exception
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ER6
: 6.1.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 10:52 EDT by Anna Manukyan
Modified: 2013-10-06 20:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
Users should not pass in Flag.PUT_FOR_EXTERNAL_READ as it is designed for internal use only. Alternatively, call Cache.putForExternalRead() operation.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-2187 Major Resolved Pre-Invocation flag PUT_FOR_EXTERNAL_READ throws exception 2013-03-19 23:15:48 EDT

  None (edit)
Description Anna Manukyan 2012-08-09 10:52:29 EDT

    
Comment 1 JBoss JIRA Server 2012-08-14 04:46:28 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-2187 to Resolved
Comment 2 JBoss JIRA Server 2012-08-14 04:46:28 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2187

I think you're confusing two things here:

1. The putForExternalRead() operation

2. The PUT_FOR_EXTERNAL_READ flag.

The second is simply used internally to do some optimisations when we're executing an PFER operation. If you really want a put() op to behave like PFER, you need to pass all this flags:

https://github.com/infinispan/infinispan/blob/master/core/src/main/java/org/infinispan/CacheImpl.java#L356
Comment 3 JBoss JIRA Server 2012-08-14 04:52:20 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-2187

Galder, we should change the JavaDoc in such a case. Currently it says this:
{code:java}
 /**
    * Flags the invocation as a {@link Cache#putForExternalRead(Object, Object)} call, as opposed to a regular
    * {@link Cache#put(Object, Object)}.
    */
   PUT_FOR_EXTERNAL_READ,
{code}

We should be more precise here as users cannot be sure how it exactly works (I was confused too).
Comment 4 JBoss JIRA Server 2012-08-14 08:04:44 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> made a comment on jira ISPN-2187

I've changed the javadoc so that users realise this is an internal flag and they should not use it. It will be refactored in the future.
Comment 5 JBoss JIRA Server 2012-08-14 08:06:56 EDT
Galder Zamarreño <galder.zamarreno@redhat.com> updated the status of jira ISPN-2187 to Reopened
Comment 6 JBoss JIRA Server 2012-08-14 08:32:45 EDT
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-2187

Thanks Galder:)
Comment 7 mark yarborough 2012-08-15 09:23:44 EDT
Clarify if this should be included in JDG 6.0.1 versus 6.1. (The jira was target for ISPN 5.2 as of 15-Aug)
Comment 9 Martin Gencur 2012-09-12 03:37:11 EDT
Shouldn't we close this as WONTFIX? AFAIK, this was just badly documented flag. It should not be used by normal users, this is an internal flag. This was fixed in Infinspan by modifying the javadoc for this flag. Or are we planning to close this once the proper javadoc is backported to JDG?
Comment 10 mark yarborough 2012-11-14 09:42:17 EST
ttarrant will add jira links as appropriate.

Note You need to log in before you can comment on or make changes to this bug.